Name:           mu
Version:        0.1
Release:        1%{?dist}
Summary:        A simple Python editor for micro:bit
Group:          Development/Tools
License:        MIT
URL:            https://github.com/ntoll/mu
Source0:        http://ntoll.org/static/files/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel, python3-setuptools
BuildArch:      noarch
BuildRequires:  python3-qt5
BuildRequires:  qt5-qtserialport >= 5.5.0
Requires:       python3-qt5
Requires:       python3-qscintilla-qt5

%description
mu is a simple Python editor which targets BBC micro:bit devices.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1  --root $RPM_BUILD_ROOT

%files
%doc README.rst
%{_bindir}/mu
%{python3_sitelib}/mu*
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-usb-microbit.rules
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Feb 02 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-1
- Initial package creation
